Bug 205082 - lockdep warning on boot
lockdep warning on boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 18:20 EDT by Jeremy Katz
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 21:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-09-03 18:20:24 EDT
This one's persisted for a while, so time to file I guess ;)  Seen at least
through 2.6.17-1.2600.fc6.  Hit at the call to hwclock in rc.sysinit

BUG: warning at kernel/lockdep.c:1816/trace_hardirqs_on() (Not tainted)
 [<c04051ee>] show_trace_log_lvl+0x58/0x159
 [<c04057ea>] show_trace+0xd/0x10
 [<c0405903>] dump_stack+0x19/0x1b
 [<c043ac0a>] trace_hardirqs_on+0xa2/0x11e
 [<c0613f23>] _spin_unlock_irq+0x22/0x26
 [<c0541390>] rtc_get_rtc_time+0x32/0x176
 [<c0419ba0>] hpet_rtc_interrupt+0x92/0x14d
 [<c0450f78>] handle_IRQ_event+0x20/0x4d
 [<c0451039>] __do_IRQ+0x94/0xef
 [<c0406790>] do_IRQ+0xb9/0xcd
 [<c0404a49>] common_interrupt+0x25/0x2c
DWARF2 unwinder stuck at common_interrupt+0x25/0x2c
Leftover inexact backtrace:
 [<c04057ea>] show_trace+0xd/0x10
 [<c0405903>] dump_stack+0x19/0x1b
 [<c043ac0a>] trace_hardirqs_on+0xa2/0x11e
 [<c0613f23>] _spin_unlock_irq+0x22/0x26
 [<c0541390>] rtc_get_rtc_time+0x32/0x176
 [<c0419ba0>] hpet_rtc_interrupt+0x92/0x14d
 [<c0450f78>] handle_IRQ_event+0x20/0x4d
 [<c0451039>] __do_IRQ+0x94/0xef
 [<c0406790>] do_IRQ+0xb9/0xcd
 [<c0404a49>] common_interrupt+0x25/0x2c
 [<c0484c10>] sys_select+0x93/0x167
 [<c0403faf>] syscall_call+0x7/0xb
Comment 1 Dave Jones 2007-08-06 15:56:19 EDT
A bunch of locking problems in the RTC code got fixed after .17.
Do you still see this on the current builds?
Comment 2 Jeremy Katz 2007-08-06 21:49:22 EDT
Can't remember seeing it anytime recently

Note You need to log in before you can comment on or make changes to this bug.